HALT(8)

NOM
halt, reboot, poweroff - Arrêter le système

SYNOPSIS
/sbin/halt [-n] [-w] [-d] [-f] [-i] [-p] [-h]
/sbin/reboot [-n] [-w] [-d] [-f] [-i]
/sbin/poweroff [-n] [-w] [-d] [-f] [-i] [-h]

DESCRIPTION
halt enregistre le fait que le système va s'arrêter dans le fichier /var/log/wtmp et, ensuite, demande au noyau d'arrêter, de redémarrer, ou d'éteindre le système.

Si halt ou reboot est appelé quand le système n'est pas au niveau d'exécution 0 ou 6, c'est-à-dire lorsque le système s'exécute normalement, shutdown sera appelé à la place (avec l'option -h ou -r). Pour plus d'information, référez-vous à la page de manuel shutdown(8).

Le reste de cette page de manuel décrit le comportement des niveaux d'exécution 0 et 6, c'est-à-dire lorsque les scripts d'arrêt du système sont lancés.

OPTIONS

-n  Ne pas appeler sync avant un redémarrage ou un arrêt. Notez que le noyau et les pilotes de stockage peuvent le faire. Cela implique -d.

-w  Ne pas redémarrer ou arrêter le système mais enregistre le fait que le système va s'arrêter (dans le fichier /var/log/wtmp).

-d  Ne pas enregistrer le wtmp.

-f  Force le redémarrage ou l'arrêt, sans appeler shutdown(8).

-i  Interrompt l'activité de toutes les interfaces réseau avant le redémarrage ou l'arrêt.

-h  Place tous les disques du système dans l'état suspendu juste avant l'arrêt ou l'extinction.

-p  Lors de l'arrêt du système, l'éteindre en coupant l'alimentation. C'est l'option par défaut quand halt est appelé en tant que poweroff.

DIAGNOSTIC
Si vous n'êtes pas superutilisateur, vous n'obtiendrez que le message « must be superuser ».

NOTES
Dans les versions précédentes de sysvinit, reboot et halt ne devaient jamais être appelés directement. À partir de la version 2.74, halt et reboot appellent shutdown(8) si le système n'est pas dans le niveau d'exécution 0 ou 6. Cela implique que si halt ou reboot ne peuvent pas trouver le niveau d'exécution actuel (par exemple, si /var/run/utmp n'a pas été correctement initialisé), alors shutdown sera appelé, ce qui n'est pas nécessairement ce que vous souhaiteriez. Utilisez l'option -f si vous souhaitez directement faire un halt ou un reboot.

L'option -h place tous les disques en mode suspendu (standby) juste avant l'arrêt ou l'extinction. Pour l'instant, ce n'est implémenté que pour les disques IDE. Un effet de bord de placer un disque en mode suspendu est que le cache d'écriture est vidé. C'est important pour les disques IDE puisque le noyau ne vide pas lui-même le cache d'écriture avant l'extinction.

Le programme halt utilise /proc/ide/hd* pour trouver les périphériques disque IDE, cela signifie que /proc doit être monté lorsque halt ou poweroff est appelé, autrement, l'option -h n'aura aucun effet.

AUTEUR
Miquel van Smoorenburg, miquels@cistron.nl

VOIR AUSSI
shutdown(8), init(8)

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.